#include<stdio.h>
#include<stdlib.h>

int main()
{
  int n,l;
  scanf("%d%d", &n, &l);
  int niz[n];
  int ans = -1;
  for(int i = 0; i < n; i++)
  {
    scanf("%d", &niz[i]);
    if(niz[i] <= l)
    {
      ans = i+1;
      break;
    }
  }
  printf("%d", ans);
}